# Monitoring Extension Connector Dummy
This component represents the connector dummy for the OCCI monitoring extension. The skeleton for this connector is generated using [OCCI-Studio](https://github.com/occiware/OCCI-Studio).
Hereby, for each element in the monitoring extension a single connector file is present, implementing how to react on different REST requests addressing the corresponding OCCI element.
This dummy is especially useful for testing purposes. Compared to the actual connector, a link to configuration management scripts is not necessary in order to get monitoring data.
As soon as a resultprovider is started monitoring results are simulated are passed to the monitorableproperty element of the sensor containing the resultprovider.
The simulated values are easy to adjust and does not require a recompilation of the connector, as only the resultprovider.properties file within the connector has to be modified.



## Adjusting the Simulation
To configure the simulation of monitoring results the following steps have to be performed.
1. Navigate to ~/martserver-plugins
2. Open the de.ugoe.cs.rwm.mocci.connecter.dummy.jar with an archive manager.
3. Doubleclick on the resultprovider.properties file
4. Adjust the values to your liking

The adjustment of the file itself is best explained with a small example:
Currently, the file contains the following:
```
CPU = None,Low,Medium,High,Critical,5000
```
* CPU: Represents the monitorable.property to be adjusted.
* 5000: Represents the interval in which monitoring.results are written.
* None-Critical: Represents the simulated monitoring.results. 


